Pause Campaign
curl --request PUT \
--url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause \
--header 'x-api-key: <api-key>'import requests
url = "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause"
headers = {"x-api-key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
fetch('https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"status": "active",
"progress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"settings": {},
"coreVariables": {},
"customVariables": {},
"linkedinAccounts": [
"<string>"
],
"analytics": {
"acceptanceRate": 123,
"responseRate": 123,
"totalLeads": 123
}
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Campaigns
Pause Campaign
Pauses an active campaign
PUT
/
v1
/
campaigns
/
{campaignId}
/
pause
Pause Campaign
curl --request PUT \
--url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause \
--header 'x-api-key: <api-key>'import requests
url = "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause"
headers = {"x-api-key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
fetch('https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"status": "active",
"progress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"settings": {},
"coreVariables": {},
"customVariables": {},
"linkedinAccounts": [
"<string>"
],
"analytics": {
"acceptanceRate": 123,
"responseRate": 123,
"totalLeads": 123
}
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Overview
Pauses an active campaign. All pending actions will be stopped and can be resumed later by starting the campaign again.Requirements
Before pausing a campaign, ensure:- Campaign is in
activestatus - Campaign belongs to your workspace
Response
Returns a success message when the campaign is paused successfully. The campaign status will change topaused and all pending lead processing will be stopped until the campaign is started again.Authorizations
API key for authentication. Generate from your WaLead dashboard.
Path Parameters
Campaign ID
Response
Campaign paused successfully
Unique campaign identifier
Campaign name
Campaign status
Available options:
active, paused, completed, error, draft Campaign progress percentage (0-100)
ISO 8601 timestamp of creation
Campaign configuration settings
Core variables enabled for this campaign
Custom variables defined for this campaign
Array of LinkedIn account IDs associated with the campaign
Show child attributes
Show child attributes